LR_XML2MAIL.IN(1)

NAME
lr_xml2mail - Formats a XML report and sends it by email

SYNOPSIS
lr_xml2mail [options] report.xml recipieint...

lr_xml2mail --version

lr_xml2mail --help [dlf-converters|output-formats|report-templates]

OPTIONS

--help [section]
    If no argument is given, prints usage information and exits. Argument can be one of the following:

    dlf-converters
        Prints the list of available DLF converters and exits.

    output-formats
        Prints the list of available output formats and exits.

    report-templates
        Prints the list of available report templates and exits.

--output-format output format
    Selects the ouput format in which to generate the report.

--template name
    Uses the report configuration template named name to merge the reports. This option is required when using the --merge option to merge reports.

--merge report_file
    Merge report_file before formatting the report. This option can be used multiple times to merge more than two reports.

--subject subject
    Sets the subject of the email message. Defaults to 'Your format report'.

--extra-file file
    An additional text file that will be sent along the report. If the output format is txt, it will be appended to the report.

DESCRIPTION
lr_xml2mail formats the XML reports generated by Lire to various output format and sends it by email to the recipients specified as remaining arguments.

The command will make sure the report is MIME encapsulated properly depending on the output format chosen. For example, a PDF report will be sent as an attachment and (X)HTML output will appear as an HTML mail message. The content-type of the MIME message will also be set properly.

From and Reply-To headers are initialized from the "lr_from" and "lr_reply_to" configuration variables.

SEE ALSO
lr_log2mail(1), lr_log2report(1), lr_xml2report(1), lire(1), lire(7), documentation in the Lire User Manual

AUTHOR
  Francis J. Lacoste <flacoste@logreport.org>

VERSION
$Id: lr_xml2mail.in,v 1.23 2006/07/23 13:16:33 vanbaal Exp $

COPYRIGHT
Copyright (C) 2002-2004 Stichting LogReport Foundation LogReport@LogReport.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html.